3.1 performupgrade error

When things doesn't work as they should.
Post Reply
mayanvic
Posts: 10
Joined: Thu Aug 23, 2018 4:27 pm

3.1 performupgrade error

Post by mayanvic » Fri Sep 21, 2018 10:23 pm

I updated Mayan to 3.1 from 3.03

The performupgrade step reports the below error during the migration run.
Any concern with that step failing?

thanks!
Victor

Running migrations:
Applying converter.0013_auto_20180823_2353... OK
Applying document_indexing.0014_auto_20180823_2353... OK
Applying document_parsing.0004_auto_20180917_0645... OK
Applying document_states.0012_auto_20180823_2353... OK
Applying documents.0044_auto_20180823_0452... OK
Applying documents.0045_auto_20180917_0645... OK
Applying documents.0046_auto_20180917_0713... OK
Applying documents.0047_auto_20180917_0737... OK
Applying linking.0006_auto_20180402_0339...CommandError: Error during pre_upgrade signal: relation "linking_smartlink_label_3321a5d9" already exists
, <class 'django.db.utils.ProgrammingError'>

User avatar
rosarior
Posts: 159
Joined: Tue Aug 21, 2018 3:28 am

Re: 3.1 performupgrade error

Post by rosarior » Sun Sep 23, 2018 5:18 pm

That looks like an problem with a database index. It is not code related but it must be resolved or there could be performance degradation. Also the migration must finish or your database schema will not match what Mayan expects and there could be errors when saving data. Try the database logs and post any error message you see there.

mayanvic
Posts: 10
Joined: Thu Aug 23, 2018 4:27 pm

Re: 3.1 performupgrade error

Post by mayanvic » Mon Sep 24, 2018 2:50 pm

Attached db error logs (error towards the end).

thanks,
Victor
Attachments
postgresql-9.3-main.log.7z
(1.5 KiB) Downloaded 13 times

mayanvic
Posts: 10
Joined: Thu Aug 23, 2018 4:27 pm

Re: 3.1 performupgrade error

Post by mayanvic » Tue Sep 25, 2018 10:59 pm

Figured out my database issue. There was a bogus smartlink that was causing that failure. I dropped it from the db since I have none defined and the migration completed and upgrade was successful. Now running 3.1.2 for validation.

thanks again!

User avatar
rosarior
Posts: 159
Joined: Tue Aug 21, 2018 3:28 am

Re: 3.1 performupgrade error

Post by rosarior » Tue Oct 02, 2018 7:18 am

Awesome! Thanks for sharing the solution!

Post Reply